
/*****************************************************************************************
 * NAME	: SerialCommEmb.h
 * DATE	: 7/13/2003
 * PGMR	: Y. Bai  Copyright 2003 - 2007
 * DESC	: Header file for the serial communication b/w two computers (SerialCommEmb.cpp)
 *****************************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <string.h>
#include <math.h>
#include <time.h>

#define		MAXNUM		100				// Max data length
#define     BYTE        unsigned char	// Data type
#define	    COM1		3f8h			// COM1 base address
#define	    COM2		2f8h			// COM2 base address
#define	    IER			3f9h			// COM1 Interrupt Enable Register
#define	    LCR			3fbh			// COM1 Line Control Register	
#define	    MCR			3fch			// COM1 Modem Control Register
#define     LSR			3fdh			// COM1 Line Status Register
#define     MSR			3feh			// COM1 Modem Status Register
#define		TIMEOUT		5				// Time out code
#define		TMOUT		10				// Time out value 
	
#define  elapsed	((clock() - start) / CLK_TCK)	// Calculate elapsed time

struct serialDATA
{
	char   pos[64];
	char   ang[64];
	double dpos;
	double dang;
};

void  sinial();
BYTE  sends(char c);
BYTE  reces();
int   comm_start();
int   comm_collect(serialDATA* res);
int   send_index(int max);
