// mfcDoublePortsDlg.h : header file
//

#include "mfcDoublePorts.h"	// Added by ClassView
#if !defined(AFX_MFCDOUBLEPORTSDLG_H__A9D5B7B0_D88A_4754_AA53_807116603C8A__INCLUDED_)
#define AFX_MFCDOUBLEPORTSDLG_H__A9D5B7B0_D88A_4754_AA53_807116603C8A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMfcDoublePortsDlg dialog

typedef struct
{
	char   sComPort[16];
	char   rComPort[16];
}PortName, *pPortName;

class CMfcDoublePortsDlg : public CDialog
{
// Construction
public:
	HANDLE hrPort;
	HANDLE hsPort;
	bool   rPortFlg;
	bool   sPortFlg;
	bool   TestPassed;

	ERR_CODE startPort();
	ERR_CODE SetupPort(char* cPort, int bRate, int pFlg);
	ERR_CODE TestPort(char* sPort, char* rPort, BOOL display);
	CMfcDoublePortsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMfcDoublePortsDlg)
	enum { IDD = IDD_MFCDOUBLEPORTS_DIALOG };
	CStatic	m_label;
	CEdit	m_readData;
	CEdit	m_sendData;
	int		m_sendPort;
	int		m_recvPort;
	int		m_baudRate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcDoublePortsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMfcDoublePortsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInit();
	afx_msg void OnTest();
	afx_msg void OnLoop();
	afx_msg void OnAbout();
	afx_msg void OnExit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCDOUBLEPORTSDLG_H__A9D5B7B0_D88A_4754_AA53_807116603C8A__INCLUDED_)


