% Test call MEX-File developed in VC++ 6.0 IDE
% MEX-File name: MEX_MAX.DLL
% Y. Bai - 11/21/2003
V = 5.0;        % MAX187 full input voltage is 5.0 V.
S = 4095;       % 12-bit scalar factor is 4095.
PortNum  = 1;
BaudRate = 9600;
DataBits = 8;
StopBits = 1;
Parity   = 0;
Timeout  = 5000;
comPort = [PortNum BaudRate DataBits StopBits Parity Timeout];
[max_data] = MEX_MAX(comPort);
max_data = max_data*V/S;
t = 1:100;
plot(t, max_data, 'b-', t, max_data, 'b.');
grid;
title('MEX-File: MEX-MAX - Interface to Serial A/D Converter - MAX187');
xlabel('Sampling Points - 100 pt.');
ylabel('Real Amplitude');



