<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® NonCommercial, 7.2 of November 3, 2003 on December 9, 2003 at 2:18:06 pm</time-stamp>


<class>
<name>SerialPortGUI</name>
<environment>Smalltalk</environment>
<super>UI.ApplicationModel</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>comPort sendData readData baudRate serialport </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>UIApplications-New</category>
<attributes>
<package>System-Name Spaces</package>
</attributes>
</class>

<class>
<name>SerialPort</name>
<environment>Smalltalk</environment>
<super>UI.Model</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>cComPort cBaudRate cSendData cReadData </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>System-Name Spaces</category>
<attributes>
<package>System-Name Spaces</package>
</attributes>
</class>

<methods>
<class-id>SerialPortGUI</class-id> <category>accessing</category>

<body package="System-Name Spaces">serialport
	^serialport.</body>
</methods>


<methods>
<class-id>SerialPort</class-id> <category>accessing</category>

<body package="System-Name Spaces">cBaudRate
	^cBaudRate.</body>

<body package="System-Name Spaces">cBaudRate: aValue
cBaudRate := aValue.
self changed: #cBaudRate.</body>

<body package="System-Name Spaces">cComPort
	^cComPort.</body>

<body package="System-Name Spaces">cComPort: aValue
cComPort := aValue.
self changed: #cComPort.</body>

<body package="System-Name Spaces">cReadData
	^cReadData.</body>

<body package="System-Name Spaces">cReadData: aValue
cReadData := aValue.
self changed: #cReadData.</body>

<body package="System-Name Spaces">cSendData
	^cSendData.</body>

<body package="System-Name Spaces">cSendData: aValue
cSendData := aValue.
self changed: #cSendData.</body>
</methods>

<methods>
<class-id>SerialPort</class-id> <category>initialize-release</category>

<body package="System-Name Spaces">initialize
	cComPort := 1.
	cBaudRate := 9600.
	cSendData := 0.
	cReadData := 0.</body>
</methods>

<methods>
<class-id>SerialPort</class-id> <category>operate</category>

<body package="System-Name Spaces">Exit
	|rc|
	rc := SerialDLL new Close.
	(rc == True)
	ifTrue: [Dialog warn: 'ERROR in SerialDLL - Close call'].</body>

<body package="System-Name Spaces">Setup
	|rc|
	rc := SerialDLL new Setup: cComPort with: cBaudRate.
	(rc == True)
	ifTrue: [Dialog warn: 'ERROR in SerialDLL - Setup call'].</body>

<body package="System-Name Spaces">Test
	|rc|
	cSendData := cSendData + 1.
	rc := SerialDLL new Write: cSendData.
	(rc == True)
	ifTrue: [Dialog warn: 'ERROR in SerialDLL - Write '].
	(cSendData &gt;= 255)
	ifTrue: [cSendData := 0]. 
	cReadData := SerialDLL new Read.</body>
</methods>



</st-source>
