/*******************************************************************************
 * NAME	: JMAXSerial.java
 * DESC	: Java serial interface file
 * PGMR	: Y. Bai
 * DATE	: 12/18/2003
 ******************************************************************************/
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class JMAXSerial
{
    int  result;

    public native int Setup(int[] comParms);
    public native int Read();
    public native int Close();

    static
    {
	System.loadLibrary("JNIMAX");
    }

    public int JavaSetup(int[] darray)
    {
	int ret = 0;

	ret = Setup(darray);
	if (ret != 0)
	{
	   msg warn = new msg("ERROR in Setup() DLL Calling");
	   warn.show();
	}
	return ret;
    }
    public int JavaRead()
    {
	int result;

	result = Read();
	return result;
    }
    public int JavaClose()
    {
	int ret = 0;
	ret = Close();
	return ret;
    }
}