% Display the serial port data
% July 14, 2003
% Copyright by Y. Bai

fid = fopen('C:\data\serialCOM.dat', 'r');
S = fscanf(fid, '%f', [2, 100]);         		% serialCOM data file is a 100 by 2 array
fclose(fid);											% you must transpose the dimmension of the 
T = S';													% array to fit the fscanf to readout the data.
pos = T(:, 1);
ang = T(:, 2);
subplot(2, 1, 1);
plot(pos);
grid;
xlabel('Data points received from Slave computer');
ylabel('Amplitude of the Sine signal');
title('Serial port communication between two computers');
subplot(2, 1, 2);
plot(ang);
grid;
xlabel('Data points received from Slave computer');
ylabel('Phase angle of the Sine signal');


