// mfcDoublePortsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mfcDoublePorts.h"
#include "mfcDoublePortsDlg.h"
#include "LoopDlg.h"				// don't forget to add this header file

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

char*  comPORT[] = { {"COM1"}, {"COM2"}, {"COM3"}, {"COM4"}, {"COM5"},
                     {"COM6"}, {"COM7"}, {"COM8"}, {"COM9"}};  

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfcDoublePortsDlg dialog

CMfcDoublePortsDlg::CMfcDoublePortsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMfcDoublePortsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMfcDoublePortsDlg)
	m_sendPort = 1;					// set default send port _Bai
	m_recvPort = 2;					// set default recv port _Bai
	m_baudRate = 9600;				// set default baud rate _Bai
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMfcDoublePortsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMfcDoublePortsDlg)
	DDX_Control(pDX, IDC_LABEL, m_label);
	DDX_Control(pDX, IDC_READ_EDIT, m_readData);
	DDX_Control(pDX, IDC_WRITE_EDIT, m_sendData);
	DDX_Text(pDX, IDC_SEND_EDIT, m_sendPort);
	DDX_Text(pDX, IDC_RECV_EDIT, m_recvPort);
	DDX_Text(pDX, IDC_BAUD_EDIT, m_baudRate);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMfcDoublePortsDlg, CDialog)
	//{{AFX_MSG_MAP(CMfcDoublePortsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_INIT, OnInit)
	ON_BN_CLICKED(IDC_TEST, OnTest)
	ON_BN_CLICKED(IDC_LOOP, OnLoop)
	ON_BN_CLICKED(IDC_ABOUT, OnAbout)
	ON_BN_CLICKED(IDEXIT, OnExit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfcDoublePortsDlg message handlers

BOOL CMfcDoublePortsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	rPortFlg   = FALSE;
	sPortFlg   = FALSE;
	TestPassed = FALSE;

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMfcDoublePortsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMfcDoublePortsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMfcDoublePortsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMfcDoublePortsDlg::OnInit() 
{
	// TODO: Add your control notification handler code here
	ERR_CODE  ecRet = OK;
    
	ecRet = startPort();
	if (ecRet)
	{
		msg("ERROR in INIT");
		return;
	}

	m_label.SetWindowText("The Ports have been Initialized");
}

ERR_CODE CMfcDoublePortsDlg::startPort()
{
	int portNum;
	ERR_CODE  ecRet = OK;

	UpdateData(TRUE); 
	portNum = m_sendPort - 1;

	ecRet = SetupPort(comPORT[portNum], m_baudRate, 1);
	if (ecRet)
	{
		msg("ERROR in SetupPort() - Sending Port");
		return ecRet;
	}
	portNum = m_recvPort - 1;

	ecRet = SetupPort(comPORT[portNum], m_baudRate, 2);
	if (ecRet)
		msg("ERROR in SetupPort() - Recving Port");

	return ecRet;
}

ERR_CODE CMfcDoublePortsDlg::SetupPort(char *cPort, int bRate, int pFlg)
{
	ERR_CODE ecRet = OK;
	pSerialCreate  pParam;
	pPortName      pName;

	CMfcDoublePortsApp* mfcDoubleApp = (CMfcDoublePortsApp*) AfxGetApp();
	pParam = new SerialCreate;
	pName  = new PortName;

	pParam->lBaudRate = bRate;
	pParam->lDataBits = NUM_BITS;
	pParam->lTimeout  = TIME_OUT;

	if (sPortFlg && pFlg == 1)
		return ecRet;
	if (rPortFlg && pFlg == 2)
		return ecRet;

	ecRet = mfcDoubleApp->PortInitialize(cPort, pParam);
	if (ecRet != OK)
		msg("ERROR in PortInitialize()!");
	else
	{
		if (pFlg == 1)
		{
			sPortFlg = true;				// set init flag for send port
			hsPort = pParam->hPort;			// reserve the send port handler
			strcpy(pName->sComPort, cPort);	// reserve the send port name
		}
		else
		{
			rPortFlg = true;				// set init flag for recv port
			hrPort = pParam->hPort;			// reserve the recv port handler
			strcpy(pName->rComPort, cPort);	// reserve the recv port name
		}
	}

	delete pParam;
	delete pName;
	return ecRet;
}

void CMfcDoublePortsDlg::OnTest() 
{
	// TODO: Add your control notification handler code here
	ERR_CODE  ecRet = OK;

	if (!sPortFlg || !rPortFlg)
	{
		msg("No Initialization !");
		return;
	}
	pPortName pName  = new PortName;

	m_label.SetWindowText("");

	ecRet = TestPort(pName->sComPort, pName->rComPort, 1);
	if (ecRet)
		msg("ERROR in TestPort()");
	if (TestPassed)
		m_label.SetWindowText("Testing is Successful!");

	delete pName;
}

ERR_CODE CMfcDoublePortsDlg::TestPort(char *sPort, char *rPort, BOOL display)
{
	BYTE   sByte;
	char   sData[16], rData[16];
	int    numByte = NUM_BYTE;
	ERR_CODE ecRet = OK;

	CMfcDoublePortsApp* mfcDoubleApp = (CMfcDoublePortsApp*) AfxGetApp();
	CommPortClass* comPort = new CommPortClass;

	comPort->handlePort = hrPort;
	comPort->iMaxChars  = NUM_BYTE;

	for (sByte = START_BYTE; sByte <= MAX_BYTE; sByte++)
	{
		ecRet = mfcDoubleApp->PortWrite(hsPort, sByte, numByte);
		if (ecRet)
		{
			msg("PortWrite() is failed");
			TestPassed = FALSE;
			return EC_WRITE_FAIL;
		}
		sprintf(sData, "%c", sByte);
		m_sendData.SetWindowText(sData);
		m_sendData.UpdateWindow();

		ecRet = mfcDoubleApp->PortRead(comPort);
		if (ecRet)
		{
			msg("PortRead() is failed");
			TestPassed = FALSE;
			return EC_READ_FAIL;
		}
		sprintf(rData, "%c", comPort->bByte);
		m_readData.SetWindowText(rData);
		m_readData.UpdateWindow();	

		if (sByte != comPort->bByte)
		{
			TestPassed = FALSE;
			return EC_TEST_FAIL;
		}
	}
	TestPassed = TRUE;

	delete comPort;
	return ecRet;
}

void CMfcDoublePortsDlg::OnLoop() 
{
	// TODO: Add your control notification handler code here
	int   Numloop;
	int   snPort, rnPort;
	ERR_CODE  ecRet = OK;

	if (!sPortFlg || !rPortFlg)
	{
		msg("No Initialization !");
		return;
	}
	m_label.SetWindowText("");
	LoopDlg  lpDlg;
	UpdateData(TRUE);
	snPort = m_sendPort - 1;
	rnPort = m_recvPort - 1;

	if (lpDlg.DoModal() == IDOK)
	{
		lpDlg.UpdateWindow();
		for (Numloop = 0; Numloop < lpDlg.m_loopNum; Numloop++)
		{
			ecRet = TestPort(comPORT[snPort], comPORT[rnPort], 1);
			if (ecRet)
				msg("ERROR in TEST");
		}
		m_label.SetWindowText("Loop Testing is Successful!");
	}

}

void CMfcDoublePortsDlg::OnAbout() 
{
	// TODO: Add your control notification handler code here
	OnSysCommand(IDM_ABOUTBOX, NULL);
}

void CMfcDoublePortsDlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	rPortFlg   = FALSE;
	sPortFlg   = FALSE;
	TestPassed = FALSE;

	if (sPortFlg && rPortFlg)
	{
		CloseHandle(hsPort);
		CloseHandle(hrPort);
	}

	CDialog::OnOK();
}

