/****************************************************************************************
 * NAME:	CINClose.h
 * DESC:	Header file for the CINClose.cpp
 * PGMR:	Y. Bai
 * DATE:	11/6/2003
 ***************************************************************************************/
#include <Windows.h>
#include "extcode.h"
#ifndef _CINCLOSE_H_
#define _CINCLOSE_H_

#define msg(info)	MessageBox(NULL, info, "", MB_OK)

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

typedef enum
{
    OK          = 0,		 /* no error */
    EC_TIMEOUT,
	EC_FOPEN,
	EC_INVAL_CONFIG,
	EC_TIMEOUT_SET,
	EC_RECV_TIMEOUT,
	EC_EXIT_CODE,
	EC_WAIT_SINGLEOBJ,
	EC_INVALIDPORT,
	EC_WRITE_FAIL,
	EC_CREATE_THREAD,
	EC_GETMODSTATUS,
	EC_UNKNOWNERROR
} ERR_CODE;

//CINClose() CIN Function
MgErr CINRun(int32 *flg, int32 *PortHandle);

#ifdef __cplusplus
}
#endif  /* __cplusplus */
#endif

