% Test call DLL developed in VC++ 6.0 IDE from Java
% DLL name: JNIMAX.dll
% Y. Bai - 12/19/2003
V = 5.0;        % MAX187 full input voltage is 5.0 V.
S = 4095;       % 12-bit scalar factor is 4095.
m = 1;
n = 100;
fid = fopen('C:\Java\MAX187\jmax.dat', 'r');
max_data = fscanf(fid, '%d', [m, n]);
max_data = max_data*V/S;
t = 1:100;
plot(t, max_data, 'b-', t, max_data, 'b.');
grid;
title('JAVA - Interface to Serial A/D Converter - MAX187');
xlabel('Sampling Points - 100 pt.');
ylabel('Real Amplitude');